<div class="mat-elevation-z8">
  <table
    mat-table
    class="full-width-table"
    matSort
    aria-label="Elements"
    [dataSource]="dataSource.data"
  >
    <!-- Id Column -->
    <ng-container matColumnDef="first_name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>First Name</th>
      <td mat-cell *matCellDef="let row">{{ row.first_name }}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="last_name">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Last Name</th>
      <td mat-cell *matCellDef="let row">{{ row.last_name }}</td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="email">
      <th mat-header-cell *matHeaderCellDef mat-sort-header>Email Address</th>
      <td mat-cell *matCellDef="let row">{{ row.email }}</td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr
      mat-row
      *matRowDef="let row; columns: displayedColumns"
      [routerLink]="['/person', row.id]"
    ></tr>
  </table>

  <mat-paginator
    #paginator
    [length]="dataSource?.data?.length"
    [pageIndex]="0"
    [pageSize]="25"
    [pageSizeOptions]="[25, 50, 100, 250]"
  >
  </mat-paginator>
</div>
